---
title: "Мучения с принтером"
date: "2023-09-09"
author: "Сисадмин Линк"
cover: ""
tags: ["софт", "принтер"]
description: "Настройка Ricoh SP100 SU в Arch-based дистрибутивах"
showFullContent: false
readingTime: false
hideComments: false
---
---

Я всё думал, как завести свой принтер под Linux. \
И однажды наткнулся на [пакет](https://aur.archlinux.org/packages/ricoh-sp100-git) в AUR, который, правда, оказался нерабочим, поскольку source репозиторий был удалён.

Но недавно в очередных поисках я наткнулся на [раздел на форуме Ubuntu](https://forum.ubuntu.ru/index.php?PHPSESSID=b541bb569cce4b86e0a21bf1f69ca5ec&topic=203120.msg2481757#msg2481757). \
Там добрый человек поделился репозиторием - [туть](https://git.kernel.org/pub/scm/linux/kernel/git/jejb/ricoh-sp100.git/).

Однако я поступил по другому, не так, как написал человек на форуме. \
Последовательность

```bash
git clone https://git.kernel.org/pub/scm/linux/kernel/git/jejb/ricoh-sp100.git
cd ricoh-sp100
sudo cp pstoricohddst-gdi /usr/lib/cups/filter
sudo cp *.ppd /usr/share/cups/model
```

Если есть yay:
```bash
yay -S jbigkit inotify-tools
```

Если нет:
```bash
sudo pacman -S jbigkit inotify-tools
```

Как-то так. Теперь идём и настраиваем наш принтер в своём рабочем окружении и радуемся жизни. 