---
showFullContent: true
title: Сервисы
---
---
## Публичные
### Forgejo
[`[🔗]`](https://git.sadium.cyou) | [Сайт](https://forgejo.org) | [Исходный код](https://codeberg.org/forgejo/forgejo) | `Регистрация открыта` | `Nextcloud OIDC`

>**Forgejo**, форк **[Gitea](https://gitea.com)** - Открытая легковесная "кузница" для создания ПО.

Однажды я сделаю PoW капчу...

### Matrix Admin UI
[`[🔗]`](https://ma.sadium.cyou) | [Исходный код](https://github.com/Awesome-Technologies/synapse-admin)

> **Matrix Admin UI** - Matrix Admin UI. `¯\_(ツ)_/¯`

### Matrix Element
[`[🔗]`](https://mw.sadium.cyou) | [Сайт](https://element.io/) | [Исходный код](https://github.com/element-hq/element-web/)

> **Element-web** - Глянцевый клиент Matrix для совместной работы в Интернете. 

### Matrix Synapse
`[🔗] sadium.cyou` | [Сайт](https://matrix.org) | [Исходный код](https://github.com/element-hq/synapse) | `Доступ по OIDC` | `Nextcloud OIDC` 

> **Synapse** — домашний сервер Matrix с открытым исходным кодом, написанный и поддерживаемый Matrix.org Foundation.  Вкратце, Matrix — это открытый стандарт связи в Интернете, поддерживающий федерацию, шифрование и VoIP.

### Nextcloud
[`[🔗]`](https://cloud.sadium.cyou) | [Сайт](https://nextcloud.com) | [Исходный код](https://github.com/nextcloud/server) | `Регистрация по премодерации` | `OIDC`

>**Nextcloud** - набор клиент-серверных программ для создания и использования хранилища данных. \
>Является свободным аналогом облаков от Google, Яндекс, Mail.ru (нынешний VK Group), и т.д.

Если хотите зарегистрироваться, заполните форму [тут](https://l.sadium.cyou/nc_reg_form).

### Owncast
[`[🔗]`](https://live.sadium.cyou) | [Сайт](https://owncast.online) | [Исходный код](https://github.com/owncast/owncast)

>**Owncast** - автономный сервер видеотрансляций и веб-чатов для использования с существующим популярным программным обеспечением для вещания.

### RSS-Bridge
[`[🔗]`](https://rss.sadium.cyou) | [Сайт](https://rss-bridge.github.io/rss-bridge) | [Исходный код](https://github.com/rss-bridge/rss-bridge)

>**RSS-Bridge** - программное обеспечение для создания Atom или RSS-каналов с веб-сайтов, у которых их нет.

Мостов [куча](https://github.com/RSS-Bridge/rss-bridge/tree/master/bridges), могу по просьбе добавить в список активных ещё какие-нибудь.

### Shlink
[`[🔗]`](https://shlink.sadium.cyou) | [Сайт](https://shlink.io) | [Исходный код сервера](https://github.com/shlinkio/shlink) | [Исходный код веб-интерфейса](https://github.com/shlinkio/shlink-web-client)

>**Shlink** - Автономный сокращатель URL-адресов на основе PHP, который можно использовать для обслуживания сокращенных URL-адресов в вашем собственном домене.

### Vaultwarden
[`[🔗]`](https://vault.sadium.cyou) | [Исходный код сервера](https://github.com/dani-garcia/vaultwarden) | [Исходный код веб-интерфейса](https://github.com/dani-garcia/bw_web_builds) | `Регистрация открыта`

>**Vaultwarden**, форк **[Bitwarden](https://bitwarden.com)** - менеджера паролей с открытым кодом. Имеет приложения нескольких форматов, включая веб-интерфейс, настольные приложения, расширение браузера, мобильные приложения и CLI

### Uptime Kuma
[`[🔗]`](https://up.sadium.cyou) | [Исходный код](https://github.com/louislam/uptime-kuma)

>**Uptime Kuma** - Инструмент для мониторинга с возможностью самохостинга. 
---
## Личные/приватные

### Adguard Home
[Сайт](https://adguard.com/adguard-home.html) | [Исходный код](https://github.com/AdguardTeam/AdGuardHome)

>**Adguard Home** - Межсетевой DNS сервер блокировщика рекламы и трекеров.

### Maddy Email
[Сайт](https://maddy.email) | [Исходный код](https://github.com/foxcpp/maddy)

>**Maddy** - Составной почтовый сервер "все в одном".

### qBittorrent
[Сайт](https://www.qbittorrent.org/) | [Исходный код](https://github.com/qbittorrent/qBittorrent)

>**qBittorrent** - Открытый торрент-клиент.
---
## Сервер

- CPU: Intel i5-7600
- RAM: 8GB DDR4 2133MHz + 8GB SWAPFILE
- OS DISK: ~120GB SATA SSD
- DATA DISK: 2x1TB HDD RAID
- OS: GNU/Linux Debian 12

---

Исходный код указанных в этой статье сервисов (и не только) отзеркален на моём инстансе **[Forgejo](https://git.sadium.cyou/mirrors)**.


